Loading...
Searching...
No Matches
caf::blocking_actor::receive_cond Class Reference

Represents pre- and postconditions for receive loops. More...

`#include <blocking_actor.hpp>`

Inheritance diagram for caf::blocking_actor::receive_cond:

## Public Member Functions

virtual bool | pre ()
| Returns whether a precondition for receiving a message still holds.
virtual bool | post ()
| Returns whether a postcondition for receiving a message still holds.

## Detailed Description

Represents pre- and postconditions for receive loops.

## Member Function Documentation

## post()

virtual bool caf::blocking_actor::receive_cond::post | ( |  | ) |

virtual

Returns whether a postcondition for receiving a message still holds.

Reimplemented in caf::blocking_actor::accept_one_cond.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/blocking_actor.hpp